Get account chain

Returns the full block chain for an account, ordered oldest to newest.

GET
/accounts/{address}/chain

Path Parameters

address*string

Hex-encoded ed25519 public key (64 chars)

Response Body

application/json

application/json

curl -X GET "https://ldn.test.network/accounts/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2/chain"
[
  {
    "type": "send",
    "account": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "previous": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "balance": "1000000",
    "asset": "XE",
    "representative": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "timestamp": 1709500000000000000,
    "signature": "string",
    "hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "pow_nonce": 12345,
    "destination": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "amount": "1000000",
    "source": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "vcpus": 4,
    "memory_mb": 8192,
    "disk_gb": 100,
    "duration": 86400,
    "access_pub_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "certificate_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "attestations": [
      {
        "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
        "timestamp": 0,
        "signature": "string"
      }
    ],
    "keyset": {
      "keys": [
        "a1b2c3d4...",
        "e5f6a7b8...",
        "c9d0e1f2..."
      ],
      "threshold": 2
    },
    "signatures": [
      {
        "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
        "signature": "string"
      }
    ]
  }
]
{
  "error": "invalid signature"
}